USE EstimateDemo;
GO

DBCC SHOW_STATISTICS ([dbo.Person],
                      IX_Person_LastName_FirstName_MiddleName);
GO

SELECT COUNT(DISTINCT LastName),
       1.0 / COUNT(DISTINCT LastName),
       COUNT(DISTINCT LastName + FirstName + COALESCE(MiddleName, '')),
       1.0 / COUNT(DISTINCT LastName + FirstName + COALESCE(MiddleName, ''))
FROM dbo.Person;
GO


SELECT COUNT(*)
FROM   dbo.Person
WHERE  LastName = 'Brown27';

SELECT COUNT(*), COUNT(DISTINCT LastName)
FROM   dbo.Person
WHERE  LastName > 'Brooks6'
AND    LastName < 'Brown27';
GO
