USE EstimateDemo;
GO

DECLARE @LastName nvarchar(50) = N'Kornelis';

SELECT COUNT(*)
FROM   dbo.Person
WHERE  LastName = @LastName;
GO


-- Don't forget to switch off the actual execution plan!
CREATE TABLE dbo.OneVariable
   (KeyCol int NOT NULL IDENTITY,
    DataCol int NOT NULL,
    CONSTRAINT PK_OneVariable
        PRIMARY KEY (KeyCol)
   );
GO

INSERT INTO dbo.OneVariable
VALUES(1);
GO 999

INSERT INTO dbo.OneVariable
VALUES(2);
UPDATE STATISTICS dbo.OneVariable
    WITH FULLSCAN;
GO

-- Now turn the execution plan on again
DECLARE @Data int = 1;
SELECT COUNT(*)
FROM   dbo.OneVariable
WHERE  DataCol = @Data;
GO

DECLARE @Data int = 2;
SELECT COUNT(*)
FROM   dbo.OneVariable
WHERE  DataCol = @Data;
GO









DECLARE @LastName nvarchar(50) = N'Kornelis';

SELECT COUNT(*)
FROM   dbo.Person
WHERE  LastName > @LastName;
GO

DECLARE @LastName nvarchar(50) = N'Zzzzzz';

SELECT COUNT(*)
FROM   dbo.Person
WHERE  LastName > @LastName;
GO

DECLARE @LastName nvarchar(50) = N'Aaaaa';

SELECT COUNT(*)
FROM   dbo.Person
WHERE  LastName > @LastName;
GO
