USE EstimateDemo;
GO
DBCC SHOW_STATISTICS ('dbo.Person', 'IX_Person_LastName_FirstName_MiddleName') WITH HISTOGRAM;
DBCC SHOW_STATISTICS ('dbo.Person2', 'IX_Person2_LastName_FirstName_MiddleName') WITH HISTOGRAM;
GO


SELECT     COUNT(*)
FROM       dbo.Person AS p
WHERE      p.LastName BETWEEN 'Abercrombie0' AND 'Ackerman0'
OPTION (RECOMPILE);


SELECT     COUNT(*)
FROM       dbo.Person2 AS p2
WHERE      p2.LastName BETWEEN 'Abercrombie0' AND 'Ackerman0'
OPTION (RECOMPILE);


SELECT     COUNT(*)
FROM       dbo.Person AS p
INNER JOIN dbo.Person2 AS p2
      ON   p2.LastName = p.LastName
WHERE      p.LastName BETWEEN 'Abercrombie0' AND 'Ackerman0'
--AND        p2.LastName BETWEEN 'Abercrombie0' AND 'Ackerman0'
OPTION (RECOMPILE);
GO



SELECT     COUNT(*)
FROM       dbo.Person AS p
INNER JOIN dbo.Person2 AS p2
      ON   p2.LastName = p.LastName
WHERE      p.FirstName LIKE 'A%'
AND        p2.FirstName LIKE 'B%'
OPTION (RECOMPILE);
GO
